- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QGraphicsOpacityEffect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 255 of file qgraphicseffect.h.

`#include <qgraphicseffect.h>`

Inheritance diagram for QGraphicsOpacityEffect:
[legend]

List of all members.

## Public Slots
void | setOpacity (qreal opacity)
void | setOpacityMask (const QBrush &mask)
## Signals
void | opacityChanged (qreal opacity)
void | opacityMaskChanged (const QBrush &mask)
## Public Member Functions
| QGraphicsOpacityEffect (QObject *parent=0)
| ~QGraphicsOpacityEffect ()
qreal | opacity () const
QBrush | opacityMask () const
## Protected Member Functions
void | draw (QPainter *painter)
## Properties
qreal | opacity
QBrush | opacityMask

## Constructor & Destructor Documentation

QGraphicsOpacityEffect | ( | QObject * | parent = `0` | ) |

~QGraphicsOpacityEffect | ( |  | ) |

## Member Function Documentation

qreal opacity | ( |  | ) | const

Search for all occurrences

QBrush opacityMask | ( |  | ) | const

Search for all occurrences

void setOpacity | ( | qreal | opacity | ) | `[slot]`

Search for all occurrences

void setOpacityMask | ( | const QBrush & | mask | ) | `[slot]`

Search for all occurrences

void opacityChanged | ( | qreal | opacity | ) | `[signal]`

Search for all occurrences

void opacityMaskChanged | ( | const QBrush & | mask | ) | `[signal]`

Search for all occurrences

void draw | ( | QPainter * | painter | ) | `[protected, virtual]`

Search for all occurrences

Implements QGraphicsEffect.

## Property Documentation

qreal opacity `[read, write]`

Search for all occurrences

Definition at line 258 of file qgraphicseffect.h.

QBrush opacityMask `[read, write]`

Search for all occurrences

Definition at line 259 of file qgraphicseffect.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicseffect.h

QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect
QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect QGraphicsOpacityEffect